package com.bocloud.ims.interfaces.resource.fusionsphere;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.DataStore;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: FusionSphereDataStoreService
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/10/20 17:54
 */
public interface FusionSphereDataStoreService {

    BocloudResult<GridBean<DataStore>> list(Pager pager, RequestContext context);

    BocloudResult<DataStore> detail(Long id, RequestContext context);

    BocloudResult<Void> create(DataStore entityParams, RequestContext context);

    BocloudResult<Void> modify(DataStore modifyParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult listFile(Long id, RequestContext context);

}